curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/packages/{slug}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/packages/{slug}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/packages/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"automaticOrder": true,
"approvalRequired": true,
"requireJustification": true,
"slug": "<string>",
"active": true,
"notes": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"note": "Remember to include the welcome letter",
"active": true
}
],
"skuIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assignedTo": {
"people": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Get package
Returns full details for a single equipment package identified by its URL-safe slug. Includes the package’s SKUs, rules, notes, and configuration fields.
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/packages/{slug}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/packages/{slug}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/packages/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"automaticOrder": true,
"approvalRequired": true,
"requireJustification": true,
"slug": "<string>",
"active": true,
"notes": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"note": "Remember to include the welcome letter",
"active": true
}
],
"skuIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assignedTo": {
"people": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Prefix the value with "ApiKey" to indicate the custom authorization type
Path Parameters
Response
The requested package
Package details returned by get/list package endpoints
Unique identifier of the package
Display name of the package.
When true, assigning this package can trigger automatic equipment ordering
When true, orders from this package require admin approval
When true, requesters must provide a justification when ordering
URL-safe unique identifier for the package
Whether the package is active
Notes associated with the package
Show child attributes
Show child attributes
SKU UUIDs included in this package
People currently assigned to this package
Show child attributes
Show child attributes